Exception on switch to model view during training

UDPATE: NOT V0.12.24 (a wheel @robertl supplied for a specific test) - ditto anything else posted today

Nonetheless, training does not seem to have been affected. I returned to the Statistics View without problem. Phew!

Win 10, 64-bit home; Chrome browser.

Traceback (most recent call last):
  File "c:\users\julian\anaconda3\envs\pl_wheels_tf250_py3810\lib\site-packages\urllib3\connectionpool.py", line 426, in _make_request
    six.raise_from(e, None)
  File "<string>", line 3, in raise_from
  File "c:\users\julian\anaconda3\envs\pl_wheels_tf250_py3810\lib\site-packages\urllib3\connectionpool.py", line 421, in _make_request
    httplib_response = conn.getresponse()
  File "c:\users\julian\anaconda3\envs\pl_wheels_tf250_py3810\lib\site-packages\sentry_sdk\integrations\stdlib.py", line 102, in getresponse
    rv = real_getresponse(self, *args, **kwargs)
  File "c:\users\julian\anaconda3\envs\pl_wheels_tf250_py3810\lib\http\client.py", line 1344, in getresponse
    response.begin()
  File "c:\users\julian\anaconda3\envs\pl_wheels_tf250_py3810\lib\http\client.py", line 307, in begin
    version, status, reason = self._read_status()
  File "c:\users\julian\anaconda3\envs\pl_wheels_tf250_py3810\lib\http\client.py", line 268, in _read_status
    line = str(self.fp.readline(_MAXLINE + 1), "iso-8859-1")
  File "c:\users\julian\anaconda3\envs\pl_wheels_tf250_py3810\lib\socket.py", line 669, in readinto
    return self._sock.recv_into(b)
socket.timeout: timed out

During handling of the above exception, another exception occurred:

Traceback (most recent call last):
  File "c:\users\julian\anaconda3\envs\pl_wheels_tf250_py3810\lib\site-packages\requests\adapters.py", line 439, in send
    resp = conn.urlopen(
  File "c:\users\julian\anaconda3\envs\pl_wheels_tf250_py3810\lib\site-packages\urllib3\connectionpool.py", line 726, in urlopen
    retries = retries.increment(
  File "c:\users\julian\anaconda3\envs\pl_wheels_tf250_py3810\lib\site-packages\urllib3\util\retry.py", line 403, in increment
    raise six.reraise(type(error), error, _stacktrace)
  File "c:\users\julian\anaconda3\envs\pl_wheels_tf250_py3810\lib\site-packages\urllib3\packages\six.py", line 735, in reraise
    raise value
  File "c:\users\julian\anaconda3\envs\pl_wheels_tf250_py3810\lib\site-packages\urllib3\connectionpool.py", line 670, in urlopen
    httplib_response = self._make_request(
  File "c:\users\julian\anaconda3\envs\pl_wheels_tf250_py3810\lib\site-packages\urllib3\connectionpool.py", line 428, in _make_request
    self._raise_timeout(err=e, url=url, timeout_value=read_timeout)
  File "c:\users\julian\anaconda3\envs\pl_wheels_tf250_py3810\lib\site-packages\urllib3\connectionpool.py", line 335, in _raise_timeout
    raise ReadTimeoutError(
urllib3.exceptions.ReadTimeoutError: HTTPConnectionPool(host='localhost', port=60000): Read timed out. (read timeout=5)

During handling of the above exception, another exception occurred:

Traceback (most recent call last):
  File "perceptilabs\endpoints\session\threaded_executor.py", line 170, in perceptilabs.endpoints.session.threaded_executor.ThreadedExecutor.send_request
  File "c:\users\julian\anaconda3\envs\pl_wheels_tf250_py3810\lib\site-packages\requests\api.py", line 117, in post
    return request('post', url, data=data, json=json, **kwargs)
  File "c:\users\julian\anaconda3\envs\pl_wheels_tf250_py3810\lib\site-packages\requests\api.py", line 61, in request
    return session.request(method=method, url=url, **kwargs)
  File "c:\users\julian\anaconda3\envs\pl_wheels_tf250_py3810\lib\site-packages\requests\sessions.py", line 542, in request
    resp = self.send(prep, **send_kwargs)
  File "c:\users\julian\anaconda3\envs\pl_wheels_tf250_py3810\lib\site-packages\requests\sessions.py", line 655, in send
    r = adapter.send(request, **kwargs)
  File "c:\users\julian\anaconda3\envs\pl_wheels_tf250_py3810\lib\site-packages\requests\adapters.py", line 529, in send
    raise ReadTimeout(e, request=request)
requests.exceptions.ReadTimeout: HTTPConnectionPool(host='localhost', port=60000): Read timed out. (read timeout=5)

During handling of the above exception, another exception occurred:

Traceback (most recent call last):
  File "c:\users\julian\anaconda3\envs\pl_wheels_tf250_py3810\lib\site-packages\flask\app.py", line 1513, in full_dispatch_request
    rv = self.dispatch_request()
  File "c:\users\julian\anaconda3\envs\pl_wheels_tf250_py3810\lib\site-packages\flask\app.py", line 1499, in dispatch_request
    return self.ensure_sync(self.view_functions[rule.endpoint])(**req.view_args)
  File "c:\users\julian\anaconda3\envs\pl_wheels_tf250_py3810\lib\site-packages\flask\views.py", line 83, in view
    return self.dispatch_request(*args, **kwargs)
  File "perceptilabs\endpoints\session\base.py", line 86, in perceptilabs.endpoints.session.base.SessionProxy.dispatch_request
  File "perceptilabs\endpoints\session\threaded_executor.py", line 176, in perceptilabs.endpoints.session.threaded_executor.ThreadedExecutor.send_request
Exception: Timeout while waiting for the result of action 'updateResults' from the training thread. Request: {'receiver': 2, 'action': 'updateResults', 'value': '', 'instanceId': '3a5ab2ca-9859-4d4e-bfd2-76e5956ef132'}